Subject: Re: linux-next: manual merge of the mac80211-next tree with the wireless-drivers-next tree

From: Kalle Valo <[email-masked]>
Date: Thu, 07 Jul 2016 19:10:24 +0300

(Adding linux-wireless)

Stephen Rothwell <[email-masked]> writes:

> Hi Johannes,
>
> Today's linux-next merge of the mac80211-next tree got a conflict in:
>
>   drivers/net/wireless/marvell/mwifiex/cmdevt.c
>
> between commit:
>
>   a9c790ba23eb ("mwifiex: factor out mwifiex_cancel_scan")
>
> from the wireless-drivers-next tree and commit:
>
>   1d76250bd34a ("nl80211: support beacon report scanning")
>
> from the mac80211-next tree.
>
> I fixed it up (I used the wireless-drivers-next tree version of this file
> and then added the following merge fix patch) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks. When I send my pull request to Dave I'll let him know about this
conflict and propose to use your patch as the resolution.

Stephen, if it's not too much trouble for you it would be good to CC
linux-wireless on wireless related problems. Not everyone follow lkml
(or linux-next).

-- 
Kalle Valo